Сайт | Скачать | Видео | Wiki

Автор Тема: teamviewer - кроссплатформенное удаленное управление компьютером  (Прочитано 9719 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 828
  • Репутация: +39/-0
сравнить переменные из export
export
live@pra-roll:~$ export
declare -x COLORTERM="truecolor"
declare -x DBUS_SESSION_BUS_ADDRESS="unix:abstract=/tmp/dbus-EeAjYbPZU9,guid=6f708acf8e4a08f5576f36885b3ce91e"
declare -x DESKTOP_SESSION="LXDE"
declare -x DISPLAY=":0"
declare -x EDITOR="mcedit"
declare -x HOME="/home/live"
declare -x LANG="ru_RU.UTF-8"
declare -x LC_COLLATE="C"
declare -x LOGNAME="live"
declare -x MAIL="/var/spool/mail/live"
declare -x OLDPWD
declare -x PATH="/home/live/bin:/home/live/.local/bin:/usr/local/sbin:/usr/local/bin:/usr/bin"
declare -x PWD="/home/live"
declare -x QT_QPA_PLATFORMTHEME="qt5ct"
declare -x SHELL="/bin/bash"
declare -x SHLVL="2"
declare -x TERM="xterm-256color"
declare -x USER="live"
declare -x VTE_VERSION="5002"
declare -x WINDOWPATH="1"
declare -x XAUTHORITY="/home/live/.Xauthority"

 Приложил вывод pstree -sau с запущенным teamviewer.
« Последнее редактирование: 05 Июль 2018, 00:27:58 от krasnyh »

Оффлайн Pro

  • Модератор
  • Ветеран
  • ****
  • Сообщений: 10015
  • Репутация: +103/-0
неа не помогает ничего :(
Я загружаю новые пакеты сюда: http://file.puppyrus.org/users/ а дальше можно найти самостоятельно.

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 828
  • Репутация: +39/-0
прошу TimeWeawer 10 и 13 (установщики с режимом 'только запустить', по возможности)
TeamViewer - это похоже 'больная тема' в PRA. Через sfs-get качается только teamviewer-12.0.76279-sf01. Причем для 32 и 64 бит одна и та же версия. И там, и там не работающая (у меня).
« Последнее редактирование: 20 Сентябрь 2018, 23:01:34 от krasnyh »

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 23740
  • Репутация: +173/-0
    • PuppyRus-A
Пробуйте anydesk

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 23740
  • Репутация: +173/-0
    • PuppyRus-A
teamviewer-beta-qt5-13.1.3026-180101-sf01.pfs
Проверил клиентом и сервером - норм
Только с minirc. С systemd не запускается клиент. Демон - норм

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 23740
  • Репутация: +173/-0
    • PuppyRus-A
Попробовал сделать teamviewer_13.2.13582_i386 для PRA03
Нужен mesa - остальное из арчрепы
Только с minirc. С systemd не запускается клиент. Демон - норм
и здесь так же
Запускаются демон и клиент. Коннекта нет в обе стороны
TeamViewer for Linux requiress a Linux 2.6.27 kernel and GLIBC 2.17. Qt 5.6 - а в репе 5.3
Из свежего среза арчрепы тянет ад зависимостей
Компилить не хочется
Пробуйте anydesk
:'(

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 23740
  • Репутация: +173/-0
    • PuppyRus-A
Gui стартует?
Да. Но везде только с minirc. Не копал

Оффлайн Pro

  • Модератор
  • Ветеран
  • ****
  • Сообщений: 10015
  • Репутация: +103/-0
Залей куда нибудь модуль, я посмотрю.
Я загружаю новые пакеты сюда: http://file.puppyrus.org/users/ а дальше можно найти самостоятельно.

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 23740
  • Репутация: +173/-0
    • PuppyRus-A
teamviewer_13.2.13582_i386 для PRA03
этот?
Похоже с 13.2.13582 проблемы. В ролл1806 таким же образом не завелся

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 23740
  • Репутация: +173/-0
    • PuppyRus-A

Оффлайн Pro

  • Модератор
  • Ветеран
  • ****
  • Сообщений: 10015
  • Репутация: +103/-0
teamviewer-beta-13.2.13582-sf01.pfs - не рабочий - см. выше
у меня GUI не стартует.

Qt 5.6 - а в репе 5.3
я до этого делал модуль на qt5.7 и тоже не стартует GUI, они что-то там с запуском намудрили. Может плюнуть и сделать версию на wine как  раньше?
Я загружаю новые пакеты сюда: http://file.puppyrus.org/users/ а дальше можно найти самостоятельно.

Оффлайн Pro

  • Модератор
  • Ветеран
  • ****
  • Сообщений: 10015
  • Репутация: +103/-0
хотябы, пожалуй-ста
Ну ведь в roll стартует,  зараза.
Я загружаю новые пакеты сюда: http://file.puppyrus.org/users/ а дальше можно найти самостоятельно.

Оффлайн Демьян

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 449
  • Репутация: +7/-0
Ноут Asus X551M с PuppyRus-A 03-1612 х32, ПапиРус 13-12 (большой), PRA-roll gtk3; сист. блок ASrock N68-S3 с теми же.

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 23740
  • Репутация: +173/-0
    • PuppyRus-A
у меня GUI не стартует.
minirc ?
сделать версию на wine как  раньше?
Попробуй.... Лишь бы работало

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 828
  • Репутация: +39/-0
teamviewer-beta-qt5-13.1.3026-1806
 Запуск с systemd (075-systemd-238.76-1806; pra-roll-1806-gtk3-02).
Info:      Processes: 172 Uptime: 4 min Memory: 389.3/3499.0MB
           Init: systemd v: 238 Gcc sys: N/A
           Client: Shell (inxi-wrapper running in lxterminal) inxi: 2.3.56

 Устанавливаем DM https://wiki.archlinux.org/index.php/Display_manager
В моем случае lightdm, но можно подыскать и полегче (lightdm-1:1.26.0-1; lightdm-gtk-greeter-1:2.0.5-1; polkit-0.114-1806-sf01).
Перезагружаемся и запускаем Teamviewer.
В minirc реализован dm подручными средствами (первый запуск с автологином). И в нем проблем с запуском TW никогда не было.

Скриншот: